Saltar al contenido
Twexapi
Español
Esc
↑↓navegar↵abrir⌘Jvista previa

Obtener miembros delegados

Lista las cuentas que pueden actuar en nombre de la cuenta identificada por cookie, incluidas las invitaciones aún no aceptadas. Cada elemento tiene user_id, screen_name, name, avatar, membership_id, role (Admin o Contributor) y status (Accepted o Pending). La propia cuenta no aparece. Devuelve un arreglo vacío si no hay ninguna. Requiere una clave Bearer de TwexAPI y la cookie o auth_token de X autorizados de la cuenta.

POST/twitter/delegate/members
Autorización de API
AuthorizationBearer token · headerrequerido
Token Bearer global para TwexAPI. Incluido como: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Cuerpo de la solicitud
requeridoapplication/json
cookiestringrequerido
Authorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | any
Mostrar propiedades
Any of:
string
string
any
any
Respuestas
200Success
codeintegerrequerido
msgstringrequerido
dataDelegateMember[]requerido
Mostrar propiedades
Array of DelegateMember
user_idstringrequerido
screen_namestringrequerido
namestringrequerido
avatarstring | anyrequerido
Profile image URL.
Mostrar propiedades
Any of:
string
string
any
any
membership_idstring | anyrequerido
ID of this membership in the delegation group.
Mostrar propiedades
Any of:
string
string
any
any
rolestring | anyrequerido
Admin or Contributor.
Mostrar propiedades
Any of:
string
string
any
any
statusstring | anyrequerido
Accepted, or Pending while the invitation is not yet accepted.
Mostrar propiedades
Any of:
string
string
any
any
403Authentication or credit access denied
codeintegerrequerido
msgstringrequerido
dataany[] | anyrequerido
Mostrar propiedades
Any of:
any[]
Array of any
any
any
any
422Invalid request
codeintegerrequerido
msgstringrequerido
dataany[] | anyrequerido
Mostrar propiedades
Any of:
any[]
Array of any
any
any
any
500Upstream or server error
codeintegerrequerido
msgstringrequerido
dataany[] | anyrequerido
Mostrar propiedades
Any of:
any[]
Array of any
any
any
any
⚡Consola interactivaPOST
⚡Consola interactiva / Probar APIPOST
Live Console
🌐Servidor objetivo:https://api.twexapi.io
● Producción lista
✍️
Guía de credenciales de escritura (Clave TwexAPI + Cookie de Twitter)

1. Clave de TwexAPI (Bearer Token): Ingrésela en "Autorización API" abajo para facturación y autenticación.

2. Cookie de cuenta Twitter: Para operaciones de escritura (tuitear, dar me gusta, seguir), ingrese la Cookie (ej. auth_token=...; ct0=...) en el campo cookie abajo.

🔑Autorización API
📝Cuerpo de la solicitudapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

Solicitud
curl -X POST "https://api.twexapi.io/twitter/delegate/members" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
}'
Respuesta
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "user_id": "1234567890123456790",
      "screen_name": "example_member",
      "name": "Example Member",
      "avatar": "https://pbs.twimg.com/profile_images/example_normal.jpg",
      "membership_id": "1234567890123456791",
      "role": "Admin",
      "status": "Pending"
    }
  ]
}